aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2020-11-03 17:18:42 -0600
committerJory Pratt <anarchy@gentoo.org>2020-11-03 17:18:42 -0600
commit73d9fa1175cf5d7fa91dfffcde7f96810751eee0 (patch)
tree77818fd43890c3c04a58b7a615c30487e4b552cd /sys-auth/polkit
parentsys-apps/accountsservice: drop consolekit support (diff)
downloadmusl-73d9fa1175cf5d7fa91dfffcde7f96810751eee0.tar.gz
musl-73d9fa1175cf5d7fa91dfffcde7f96810751eee0.tar.bz2
musl-73d9fa1175cf5d7fa91dfffcde7f96810751eee0.zip
sys-auth/polkit: remove consolekit support
Package-Manager: Portage-3.0.9, Repoman-3.0.2 RepoMan-Options: --force Signed-off-by: Jory Pratt <anarchy@gentoo.org>
Diffstat (limited to 'sys-auth/polkit')
-rw-r--r--sys-auth/polkit/metadata.xml1
-rw-r--r--sys-auth/polkit/polkit-0.116-r1.ebuild5
-rw-r--r--sys-auth/polkit/polkit-0.117.ebuild5
-rw-r--r--sys-auth/polkit/polkit-0.118.ebuild5
4 files changed, 6 insertions, 10 deletions
diff --git a/sys-auth/polkit/metadata.xml b/sys-auth/polkit/metadata.xml
index c60e1e3..b6d2fdc 100644
--- a/sys-auth/polkit/metadata.xml
+++ b/sys-auth/polkit/metadata.xml
@@ -5,7 +5,6 @@
<email>freedesktop-bugs@gentoo.org</email>
</maintainer>
<use>
- <flag name="consolekit">Use <pkg>sys-auth/consolekit</pkg> for session tracking</flag>
<flag name="elogind">Use <pkg>sys-auth/elogind</pkg> for session tracking</flag>
<flag name="systemd">Use <pkg>sys-apps/systemd</pkg> for session tracking</flag>
</use>
diff --git a/sys-auth/polkit/polkit-0.116-r1.ebuild b/sys-auth/polkit/polkit-0.116-r1.ebuild
index f39ba8f..61387c0 100644
--- a/sys-auth/polkit/polkit-0.116-r1.ebuild
+++ b/sys-auth/polkit/polkit-0.116-r1.ebuild
@@ -12,10 +12,10 @@ SRC_URI="https://www.freedesktop.org/software/${PN}/releases/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="amd64 arm arm64 ~mips ppc ppc64 x86"
-IUSE="consolekit elogind examples gtk +introspection jit kde nls pam selinux systemd test"
+IUSE="elogind examples gtk +introspection jit kde nls pam selinux systemd test"
RESTRICT="!test? ( test )"
-REQUIRED_USE="^^ ( consolekit elogind systemd )"
+REQUIRED_USE="^^ ( elogind systemd )"
BDEPEND="
acct-user/polkitd
@@ -46,7 +46,6 @@ RDEPEND="${DEPEND}
selinux? ( sec-policy/selinux-policykit )
"
PDEPEND="
- consolekit? ( sys-auth/consolekit[policykit] )
gtk? ( || (
>=gnome-extra/polkit-gnome-0.105
>=lxde-base/lxsession-0.5.2
diff --git a/sys-auth/polkit/polkit-0.117.ebuild b/sys-auth/polkit/polkit-0.117.ebuild
index 3fee33e..13fdc18 100644
--- a/sys-auth/polkit/polkit-0.117.ebuild
+++ b/sys-auth/polkit/polkit-0.117.ebuild
@@ -12,10 +12,10 @@ SRC_URI="https://www.freedesktop.org/software/${PN}/releases/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 x86"
-IUSE="consolekit elogind examples gtk +introspection jit kde nls pam selinux systemd test"
+IUSE="elogind examples gtk +introspection jit kde nls pam selinux systemd test"
RESTRICT="!test? ( test )"
-REQUIRED_USE="^^ ( consolekit elogind systemd )"
+REQUIRED_USE="^^ ( elogind systemd )"
BDEPEND="
acct-user/polkitd
@@ -46,7 +46,6 @@ RDEPEND="${DEPEND}
selinux? ( sec-policy/selinux-policykit )
"
PDEPEND="
- consolekit? ( sys-auth/consolekit[policykit] )
gtk? ( || (
>=gnome-extra/polkit-gnome-0.105
>=lxde-base/lxsession-0.5.2
diff --git a/sys-auth/polkit/polkit-0.118.ebuild b/sys-auth/polkit/polkit-0.118.ebuild
index 8cd282a..4b4aff2 100644
--- a/sys-auth/polkit/polkit-0.118.ebuild
+++ b/sys-auth/polkit/polkit-0.118.ebuild
@@ -12,10 +12,10 @@ SRC_URI="https://www.freedesktop.org/software/${PN}/releases/${P}.tar.gz"
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~mips ~ppc ~ppc64 ~x86"
-IUSE="consolekit elogind examples gtk +introspection jit kde nls pam selinux systemd test"
+IUSE="elogind examples gtk +introspection jit kde nls pam selinux systemd test"
RESTRICT="!test? ( test )"
-REQUIRED_USE="^^ ( consolekit elogind systemd )"
+REQUIRED_USE="^^ ( elogind systemd )"
BDEPEND="
acct-user/polkitd
@@ -46,7 +46,6 @@ RDEPEND="${DEPEND}
selinux? ( sec-policy/selinux-policykit )
"
PDEPEND="
- consolekit? ( sys-auth/consolekit[policykit] )
gtk? ( || (
>=gnome-extra/polkit-gnome-0.105
>=lxde-base/lxsession-0.5.2